Summary: Prints filenames for backup
Name: rdup
Version: 0.9.1
Release: 2
License: GPL
Group: Applications/File
URL: http://www.miek.nl/projects/rdup/
Source0: http://www.miek.nl/projects/rdup/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel >= 2.18.2, make, pcre-devel
BuildRequires: nettle-devel, libarchive-devel
Requires: glib2 >= 2.18.2, pcre, nettle, libarchive

%description
rdup is a utility inspired by rsync and the plan9 way of doing backups.
rdup it self does not backup anything, it only print a list of absolute
filenames to standard output. Auxilary scripts are needed that act on
this list and implement the backup strategy.


%prep
%setup -q
%patch0


%build
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --with-nettle \
    --with-libpcre-includes=%{_includedir} \
    --with-libpcre-libraries=%{_libdir}
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog DEPENDENCIES DESIGN LICENSE README todo
%{_bindir}/*
%{_mandir}/man?/*
%{_libdir}/%{name}
/usr/bin/*


%changelog
* Wed May 06 2009 Michael Perzl <michael@perzl.org> - 0.9.1-2
- fixed a minor SPEC file issue

* Fri Apr 17 2009 Michael Perzl <michael@perzl.org> - 0.9.1-1
- first version for AIX V5.1 and higher
